<template>
<div id="app">
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,100,300' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="../../../static/stylesheets/weather/styles.css">
    <link rel="stylesheet" href="../../../static/stylesheets/weather/normalize.css">
    <link rel="stylesheet" href="../../../static/stylesheets/weather/climacon-font/styles.css">
    <link rel="stylesheet" href="../../../static/stylesheets/weather/climacon.css">
    <div class="container tag"> 
      <button @click.stop="reload()" class="button border with-icon">Refresh <i class="sl sl-icon-refresh"></i></button>
    </div>
   <div class="weather-section">
               <div class="widget-block">
               	<!-- MAIN AREA -->
                  <div class="img-area">
                     <div class="img-area-mask"></div>
                     <img src="../../../static/stylesheets/weather/img/paris-sm.jpg" alt="">
                     <div class="img-area-front">
                        <h5 class="location" style="    color: white;" >{{ nearest_station.address }}</h5>
                        <p class="today">{{ new Date().getMonth() }}, July 27, 18:00</p>
                        <div v-if="current_weather.temperature>30" class="weather-desc">
                           <span>Sunny, Hot day</span>
                        </div>
                        <div v-if="current_weather.temperature<=30 && current_weather.temperature>25" class="weather-desc">
                           <span>Feels good</span>
                        </div>
                        <div v-if="current_weather.temperature<=25 && current_weather.temperature>18" class="weather-desc">
                           <span>moderately sunny</span>
                        </div>
                        <div v-if="current_weather.temperature<=18" class="weather-desc">
                           <span>Cloudy, it's cold</span>
                        </div>
                        
                        <ul class="weather-block-info">
                           <li>
                              <p class="temperature">{{ current_weather.temperature  }}<span class="temperature-feels">{{ current_weather.temperature - 5 }} feels</span></p>
                           </li>
                           <li>
                           	<!-- MAIN ANIMATED SVG WEATHER ICON -->
                              <svg version="1.1" id="cloudRainSun" class="climacon climacon_cloudRainSun" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="15 15 70 70" enable-background="new 15 15 70 70" xml:space="preserve">
                                 <clipPath id="cloudFillClip">
                                    <path d="M15,15v70h70V15H15z M59.943,61.639c-3.02,0-12.381,0-15.999,0c-6.626,0-11.998-5.371-11.998-11.998c0-6.627,5.372-11.999,11.998-11.999c5.691,0,10.434,3.974,11.665,9.29c1.252-0.81,2.733-1.291,4.334-1.291c4.418,0,8,3.582,8,8C67.943,58.057,64.361,61.639,59.943,61.639z"></path>
                                 </clipPath>
                                 <clipPath id="sunCloudFillClip">
                                    <path d="M15,15v70h70V15H15z M57.945,49.641c-4.417,0-8-3.582-8-7.999c0-4.418,3.582-7.999,8-7.999s7.998,3.581,7.998,7.999C65.943,46.059,62.362,49.641,57.945,49.641z"></path>
                                 </clipPath>
                                 <clipPath id="cloudSunFillClip">
                                    <path d="M15,15v70h20.947V63.481c-4.778-2.767-8-7.922-8-13.84c0-8.836,7.163-15.998,15.998-15.998c6.004,0,11.229,3.312,13.965,8.203c0.664-0.113,1.338-0.205,2.033-0.205c6.627,0,11.998,5.373,11.998,12c0,5.262-3.394,9.723-8.107,11.341V85H85V15H15z"></path>
                                 </clipPath>
                                 <g class="climacon_iconWrap climacon_iconWrap-cloudRainSun">
                                    <g v-if="current_weather.temperature>=10 && current_weather.humidity>60" clip-path="url(#cloudSunFillClip)">
                                       <g class="climacon_componentWrap climacon_componentWrap-sun climacon_componentWrap-sun_cloud">
                                          <g class="climacon_componentWrap climacon_componentWrap_sunSpoke">
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M80.029,43.611h-3.998c-1.105,0-2-0.896-2-1.999s0.895-2,2-2h3.998c1.104,0,2,0.896,2,2S81.135,43.611,80.029,43.611z"></path>
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M72.174,30.3c-0.781,0.781-2.049,0.781-2.828,0c-0.781-0.781-0.781-2.047,0-2.828l2.828-2.828c0.779-0.781,2.047-0.781,2.828,0c0.779,0.781,0.779,2.047,0,2.828L72.174,30.3z"></path>
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M58.033,25.614c-1.105,0-2-0.896-2-2v-3.999c0-1.104,0.895-2,2-2c1.104,0,2,0.896,2,2v3.999C60.033,24.718,59.135,25.614,58.033,25.614z"></path>
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M43.892,30.3l-2.827-2.828c-0.781-0.781-0.781-2.047,0-2.828c0.78-0.781,2.047-0.781,2.827,0l2.827,2.828c0.781,0.781,0.781,2.047,0,2.828C45.939,31.081,44.673,31.081,43.892,30.3z"></path>
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M42.033,41.612c0,1.104-0.896,1.999-2,1.999h-4c-1.104,0-1.998-0.896-1.998-1.999s0.896-2,1.998-2h4C41.139,39.612,42.033,40.509,42.033,41.612z"></path>
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M43.892,52.925c0.781-0.78,2.048-0.78,2.827,0c0.781,0.78,0.781,2.047,0,2.828l-2.827,2.827c-0.78,0.781-2.047,0.781-2.827,0c-0.781-0.78-0.781-2.047,0-2.827L43.892,52.925z"></path>
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M58.033,57.61c1.104,0,2,0.895,2,1.999v4c0,1.104-0.896,2-2,2c-1.105,0-2-0.896-2-2v-4C56.033,58.505,56.928,57.61,58.033,57.61z"></path>
                                             <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M72.174,52.925l2.828,2.828c0.779,0.78,0.779,2.047,0,2.827c-0.781,0.781-2.049,0.781-2.828,0l-2.828-2.827c-0.781-0.781-0.781-2.048,0-2.828C70.125,52.144,71.391,52.144,72.174,52.925z"></path>
                                          </g>
                                          <g class="climacon_componentWrap climacon_componentWrap-sunBody" clip-path="url(#sunCloudFillClip)">
                                             <circle class="climacon_component climacon_component-stroke climacon_component-stroke_sunBody" cx="58.033" cy="41.612" r="11.999"></circle>
                                          </g>
                                       </g>
                                    </g>
                                    <g v-if="current_weather.temperature<=18 && current_weather.humidity>90" class="climacon_componentWrap climacon_componentWrap-rain">
                                       <path class="climacon_component climacon_component-stroke climacon_component-stroke_rain climacon_component-stroke_rain- left" d="M41.946,53.641c1.104,0,1.999,0.896,1.999,2v15.998c0,1.105-0.895,2-1.999,2s-2-0.895-2-2V55.641C39.946,54.537,40.842,53.641,41.946,53.641z"></path>
                                       <path class="climacon_component climacon_component-stroke climacon_component-stroke_rain climacon_component-stroke_rain- middle" d="M49.945,57.641c1.104,0,2,0.896,2,2v15.998c0,1.104-0.896,2-2,2s-2-0.896-2-2V59.641C47.945,58.535,48.841,57.641,49.945,57.641z"></path>
                                       <path class="climacon_component climacon_component-stroke climacon_component-stroke_rain climacon_component-stroke_rain- right" d="M57.943,53.641c1.104,0,2,0.896,2,2v15.998c0,1.105-0.896,2-2,2c-1.104,0-2-0.895-2-2V55.641C55.943,54.537,56.84,53.641,57.943,53.641z"></path>
                                       <path class="climacon_component climacon_component-stroke climacon_component-stroke_rain climacon_component-stroke_rain- left" d="M41.946,53.641c1.104,0,1.999,0.896,1.999,2v15.998c0,1.105-0.895,2-1.999,2s-2-0.895-2-2V55.641C39.946,54.537,40.842,53.641,41.946,53.641z"></path>
                                       <path class="climacon_component climacon_component-stroke climacon_component-stroke_rain climacon_component-stroke_rain- middle" d="M49.945,57.641c1.104,0,2,0.896,2,2v15.998c0,1.104-0.896,2-2,2s-2-0.896-2-2V59.641C47.945,58.535,48.841,57.641,49.945,57.641z"></path>
                                       <path class="climacon_component climacon_component-stroke climacon_component-stroke_rain climacon_component-stroke_rain- right" d="M57.943,53.641c1.104,0,2,0.896,2,2v15.998c0,1.105-0.896,2-2,2c-1.104,0-2-0.895-2-2V55.641C55.943,54.537,56.84,53.641,57.943,53.641z"></path>
                                    </g>
                                    <g class="climacon_componentWrap climacon_componentWrap-cloud">
                                       <path class="climacon_component climacon_component-stroke climacon_component-stroke_cloud" d="M63.943,64.941v-4.381c2.389-1.384,4-3.961,4-6.92c0-4.417-3.582-8-8-8c-1.601,0-3.082,0.48-4.334,1.291c-1.23-5.317-5.973-9.29-11.665-9.29c-6.626,0-11.998,5.372-11.998,11.998c0,3.549,1.551,6.728,4,8.924v4.916c-4.777-2.768-8-7.922-8-13.84c0-8.835,7.163-15.997,15.998-15.997c6.004,0,11.229,3.311,13.965,8.203c0.664-0.113,1.338-0.205,2.033-0.205c6.627,0,11.998,5.372,11.998,12C71.941,58.863,68.602,63.293,63.943,64.941z"></path>
                                    </g>
                                 </g>
                              </svg>
                              <!-- /MAIN ANIMATED SVG WEATHER ICON -->
                           </li>
                           <li>
                              <ul class="weather-params">
                                 <li><i class="climacon thermometer medium-high"></i> <span>{{ Math.round(current_weather.temperature * 25.400000197459) }} mm Hg</span></li>
                                 <li><i class="climacon moon full"></i> <span> {{ current_weather.humidity }} % humidity</span></li>
                              </ul>
                           </li>
                        </ul>
                     </div>
                  </div>
                  <!-- /MAIN AREA -->
                  <!-- WEATHER FORECAST -->
                  <!--<ul class="week-forecast">
                     <li class="sun">
                        <div class="inner">
                           <h5 class="week-day">Monday</h5>
                           <i class="climacon sun"></i>
                           <p class="week-day-temperature">30</p>
                        </div>
                     </li>
                     <li class="rain">
                        <div class="inner">
                           <h5 class="week-day">Tuesday</h5>
                           <i class="climacon rain"></i>
                           <p class="week-day-temperature">25</p>
                        </div>
                     </li>
                     <li class="cloud">
                        <div class="inner">
                           <h5 class="week-day">Wednsday</h5>
                           <i class="climacon cloud"></i>
                           <p class="week-day-temperature">32</p>
                        </div>
                     </li>
                     <li class="sun">
                        <div class="inner">
                           <h5 class="week-day">Thursday</h5>
                           <i class="climacon sun"></i>
                           <p class="week-day-temperature">30</p>
                        </div>
                     </li>
                     <li class="rain sun">
                        <div class="inner">
                           <h5 class="week-day">Friday</h5>
                           <i class="climacon rain sun"></i>
                           <p class="week-day-temperature">29</p>
                        </div>
                     </li>
                     <li class="sun">
                        <div class="inner">
                           <h5 class="week-day">Saturday</h5>
                           <i class="climacon sun"></i>
                           <p class="week-day-temperature">25</p>
                        </div>
                     </li>
                     <li class="cloud sun">
                        <div class="inner">
                           <h5 class="week-day">Sunday</h5>
                           <i class="climacon cloud sun"></i>
                           <p class="week-day-temperature">22</p>
                        </div>
                     </li>
                  </ul>-->
                  <!-- /WEATHER FORECAST -->
               </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <h3 class="headline centered margin-top-75">
                  Nearby attractions
                  <span>Browse <i>the most desirable</i> places </span>
                </h3>
              </div>
	          </div>
           
           <div class="container">
                <div class="row">
                  <div class="col-md-12">

                    <!-- Filters -->
                    <div id="filters">
                      <ul class="option-set margin-bottom-30">
                        <li><a @click="nearbyAll" class="selected" data-filter="*">All</a></li>
                        <li><a @click="nearbyRestaurant" data-filter=".first-filter">Restaurant</a></li>
                        <li><a @click="nearbyStores" data-filter=".second-filter">Stores</a></li>
                        <li><a @click="nearbyGym" data-filter=".third-filter">Gym</a></li>
                      </ul>
                      <div class="clearfix"></div>
                    </div>

                  </div>
                </div>

              <div class="row">

                <!-- Projects -->
                <div class="projects isotope-wrapper">
                  

                    <!-- Listing Item -->
                    <div v-for="attraction of nearby_attractions" class="col-lg-4 col-md-6 isotope-item first-filter">
                        
                      <a href="listings-single-page.html" class="listing-item-container compact">
                        <div class="listing-item">
                          <img v-bind:src="attraction.photos" alt="">
                          <div v-if="attraction.opening_hours == true"  class="listing-badge now-open">Now Open</div>
                          <div v-else-if="attraction.opening_hours == false"  class="listing-badge now-closed">Now Closed</div>
                          <div v-else  class="listing-badge now-open">Not</div>
                          
                          
                          <div class="listing-item-content">
                            <div v-if="attraction.rating!=null" class="numerical-rating mid" >{{ attraction.rating }}</div>
                            <div v-else class="numerical-rating mid" >0.0</div>
                            
                            <h3>{{ attraction.name }}</h3>
                            <span> {{attraction.vicinity}} </span>
                          </div>
                          <span class="like-icon"></span>
                        </div>
                      </a>
                    </div>
                    <!-- Listing Item / End -->

           


                </div>

              </div>
            </div>
            <div id="map"></div>
</div>
</template>
<script>
import axios from "axios";
var GeoPoint = require("geopoint");
import Vue from "vue";
var currentPosition = {};

export default {
  data() {
    return {
      currentLat: Number,
      currentLng: Number,
      stations: [],
      distances: [],
      nearest_station: {},
      nearby_attractions: [],
      nearby_stores: [],
      current_weather: {},
      map: null
      // currentPosition: {}
    };
  },
  mounted() {
    var self = this;
    navigator.geolocation.getCurrentPosition(function(position) {
      console.log(position.coords);
      //var self = this;
      currentPosition = position.coords;
      self.currentLat = currentPosition.latitude;
      self.currentLng = currentPosition.longitude;
      axios
        .get("http://34.244.196.28:443/stations/")
        .then(response => {
          self.stations = response.data;
          console.log(self.stations);
          var currentPos = new GeoPoint(self.currentLat, self.currentLng);
          var stationPos = new GeoPoint(
            self.stations[0].lat,
            self.stations[0].lng
          );
          var initial_distance = currentPos.distanceTo(stationPos, true);
          self.nearest_station = self.stations[0];
          console.log(self.stations[0].lat);
          console.log("initial distance:");
          console.log(initial_distance);
          for (var i = 1; i < self.stations.length; i++) {
            console.log("lat");
            console.log(self.stations[i].lat);
            var currentPos = new GeoPoint(self.currentLat, self.currentLng);
            var stationPos = new GeoPoint(
              self.stations[i].lat,
              self.stations[i].lng
            );
            var distance = currentPos.distanceTo(stationPos, true);
            console.log("distance:");
            console.log(distance + " station: " + self.stations[i].name);

            //this.distances.push(distance)
            if (distance < initial_distance) {
              initial_distance = distance;
              self.nearest_station = self.stations[i];
              console.log("initial distance:");
              console.log(initial_distance);
            }
          }
          /*console.log(this.distances);
            this.distances.sort(function(a, b) {
              return a - b;
            });
            console.log(this.distances);*/
          console.log("after boucle for:");
          console.log(initial_distance);
          console.log(self.nearest_station);
          axios
            .get(
              "http://34.244.196.28:443/weather/weatherByStation/" +
                self.nearest_station._id
            )
            .then(response => {
              console.log(response.data);
              console.log(response.data[response.data.length - 1]);
              self.current_weather = response.data[response.data.length - 1];
            })
            .catch(e => {
              console.log(e);
            });
          /////////////////////////nearby interests /////////////////////
          var map;
          var infowindow;
          function createMarker(place) {
            var placeLoc = place.geometry.location;
            var marker = new google.maps.Marker({
              map: map,
              position: place.geometry.location
            });

            google.maps.event.addListener(marker, "click", function() {
              infowindow.setContent(place.name);
              infowindow.open(map, this);
            });
          }
          console.log(self.currentLat);
          var x = self.currentLat;
          var y = self.currentLng;

          var pyrmont = { lat: x, lng: y };

          map = new google.maps.Map(document.getElementById("map"), {
            center: pyrmont,
            zoom: 15
          });

          infowindow = new google.maps.InfoWindow();
          var service = new google.maps.places.PlacesService(map);
          var array = [];
          var array_places = [];
          service.nearbySearch(
            {
              location: pyrmont,
              radius: 1000,
              type: ["store"]
            },
            function(results, status) {
              if (status === google.maps.places.PlacesServiceStatus.OK) {
                for (var i = 0; i < results.length; i++) {
                  array.push(results[i]);
                  console.log("reference");
                  console.log(results[i]);
                  var placeDetail = {
                    name: results[i].name,
                    vicinity: results[i].vicinity,
                    opening_hours: results[i].opening_hours.open_now,
                    photos: results[i].photos[0].getUrl({
                      maxWidth: 150,
                      maxHeight: 150
                    }),
                    rating: results[i].rating
                  };
                  self.nearby_attractions.push(placeDetail);
                }
              }
            }
          );
          service.nearbySearch(
            {
              location: pyrmont,
              radius: 1000,
              type: ["restaurant"]
            },
            function(results, status) {
              if (status === google.maps.places.PlacesServiceStatus.OK) {
                for (var i = 0; i < results.length; i++) {
                  array.push(results[i]);
                  console.log("reference");
                  console.log(results[i]);
                  var placeDetail = {
                    name: results[i].name,
                    vicinity: results[i].vicinity,
                    opening_hours: results[i].opening_hours.open_now,
                    photos: results[i].photos[0].getUrl({
                      maxWidth: 150,
                      maxHeight: 150
                    }),
                    rating: results[i].rating
                  };
                  self.nearby_attractions.push(placeDetail);
                }
              }
            }
          );
          service.nearbySearch(
            {
              location: pyrmont,
              radius: 1000,
              type: ["gym"]
            },
            function(results, status) {
              if (status === google.maps.places.PlacesServiceStatus.OK) {
                for (var i = 0; i < results.length; i++) {
                  array.push(results[i]);
                  console.log("reference");
                  console.log(results[i]);
                  var placeDetail = {
                    name: results[i].name,
                    vicinity: results[i].vicinity,
                    opening_hours: results[i].opening_hours.open_now,
                    photos: results[i].photos[0].getUrl({
                      maxWidth: 150,
                      maxHeight: 150
                    }),
                    rating: results[i].rating
                  };
                  self.nearby_attractions.push(placeDetail);
                }
              }
            }
          );
          // self.nearby_attractions = array_places;
          console.log("attractions:");
          console.log(self.nearby_attractions);
        })
        .catch(e => {
          console.log(e);
        });
    });
    console.log("hello");
  },
  methods: {
    reload() {
      location.reload();
    },
    nearbyStores() {
      var self = this;
      var map;
      var infowindow;
      function createMarker(place) {
        var placeLoc = place.geometry.location;
        var marker = new google.maps.Marker({
          map: map,
          position: place.geometry.location
        });

        google.maps.event.addListener(marker, "click", function() {
          infowindow.setContent(place.name);
          infowindow.open(map, this);
        });
      }
      console.log(self.currentLat);
      var x = self.currentLat;
      var y = self.currentLng;

      var pyrmont = { lat: x, lng: y };

      map = new google.maps.Map(document.getElementById("map"), {
        center: pyrmont,
        zoom: 15
      });

      infowindow = new google.maps.InfoWindow();
      var service = new google.maps.places.PlacesService(map);
      var array = [];
      var array_places = [];
      this.nearby_attractions = [];
      service.nearbySearch(
        {
          location: pyrmont,
          radius: 1000,
          type: ["store"]
        },
        function(results, status) {
          if (status === google.maps.places.PlacesServiceStatus.OK) {
            for (var i = 0; i < results.length; i++) {
              array.push(results[i]);
              console.log("reference");
              console.log(results[i]);
              var placeDetail = {
                name: results[i].name,
                vicinity: results[i].vicinity,
                opening_hours: results[i].opening_hours.open_now,
                photos: results[i].photos[0].getUrl({
                  maxWidth: 150,
                  maxHeight: 150
                }),
                rating: results[i].rating
              };
              self.nearby_attractions.push(placeDetail);
            }
          }
        }
      );
    },
    nearbyGym() {
      var self = this;
      var map;
      var infowindow;
      function createMarker(place) {
        var placeLoc = place.geometry.location;
        var marker = new google.maps.Marker({
          map: map,
          position: place.geometry.location
        });

        google.maps.event.addListener(marker, "click", function() {
          infowindow.setContent(place.name);
          infowindow.open(map, this);
        });
      }
      console.log(self.currentLat);
      var x = self.currentLat;
      var y = self.currentLng;

      var pyrmont = { lat: x, lng: y };

      map = new google.maps.Map(document.getElementById("map"), {
        center: pyrmont,
        zoom: 15
      });

      infowindow = new google.maps.InfoWindow();
      var service = new google.maps.places.PlacesService(map);
      var array = [];
      var array_places = [];
      this.nearby_attractions = [];
      service.nearbySearch(
        {
          location: pyrmont,
          radius: 1000,
          type: ["gym"]
        },
        function(results, status) {
          if (status === google.maps.places.PlacesServiceStatus.OK) {
            for (var i = 0; i < results.length; i++) {
              array.push(results[i]);
              console.log("reference");
              console.log(results[i]);
              var placeDetail = {
                name: results[i].name,
                vicinity: results[i].vicinity,
                opening_hours: results[i].opening_hours.open_now,
                photos: results[i].photos[0].getUrl({
                  maxWidth: 150,
                  maxHeight: 150
                }),
                rating: results[i].rating
              };
              self.nearby_attractions.push(placeDetail);
            }
          }
        }
      );
    },
    nearbyRestaurant() {
      var self = this;
      var map;
      var infowindow;
      function createMarker(place) {
        var placeLoc = place.geometry.location;
        var marker = new google.maps.Marker({
          map: map,
          position: place.geometry.location
        });

        google.maps.event.addListener(marker, "click", function() {
          infowindow.setContent(place.name);
          infowindow.open(map, this);
        });
      }
      console.log(self.currentLat);
      var x = self.currentLat;
      var y = self.currentLng;

      var pyrmont = { lat: x, lng: y };

      map = new google.maps.Map(document.getElementById("map"), {
        center: pyrmont,
        zoom: 15
      });

      infowindow = new google.maps.InfoWindow();
      var service = new google.maps.places.PlacesService(map);
      var array = [];
      var array_places = [];
      this.nearby_attractions = [];
      service.nearbySearch(
        {
          location: pyrmont,
          radius: 1000,
          type: ["restaurant"]
        },
        function(results, status) {
          if (status === google.maps.places.PlacesServiceStatus.OK) {
            for (var i = 0; i < results.length; i++) {
              array.push(results[i]);
              console.log("reference");
              console.log(results[i]);
              var placeDetail = {
                name: results[i].name,
                vicinity: results[i].vicinity,
                opening_hours: results[i].opening_hours.open_now,
                photos: results[i].photos[0].getUrl({
                  maxWidth: 150,
                  maxHeight: 150
                }),
                rating: results[i].rating
              };
              self.nearby_attractions.push(placeDetail);
            }
          }
        }
      );
    },
    nearbyAll() {
      var self = this;
      var map;
      var infowindow;
      function createMarker(place) {
        var placeLoc = place.geometry.location;
        var marker = new google.maps.Marker({
          map: map,
          position: place.geometry.location
        });

        google.maps.event.addListener(marker, "click", function() {
          infowindow.setContent(place.name);
          infowindow.open(map, this);
        });
      }
      console.log(self.currentLat);
      var x = self.currentLat;
      var y = self.currentLng;

      var pyrmont = { lat: x, lng: y };

      map = new google.maps.Map(document.getElementById("map"), {
        center: pyrmont,
        zoom: 15
      });

      infowindow = new google.maps.InfoWindow();
      var service = new google.maps.places.PlacesService(map);
      var array = [];
      var array_places = [];
      this.nearby_attractions = [];
      service.nearbySearch(
        {
          location: pyrmont,
          radius: 1000,
          type: ["restaurant"]
        },
        function(results, status) {
          if (status === google.maps.places.PlacesServiceStatus.OK) {
            for (var i = 0; i < results.length; i++) {
              array.push(results[i]);
              console.log("reference");
              console.log(results[i]);
              var placeDetail = {
                name: results[i].name,
                vicinity: results[i].vicinity,
                opening_hours: results[i].opening_hours.open_now,
                photos: results[i].photos[0].getUrl({
                  maxWidth: 150,
                  maxHeight: 150
                }),
                rating: results[i].rating
              };
              self.nearby_attractions.push(placeDetail);
            }
          }
        }
      );
      service.nearbySearch(
        {
          location: pyrmont,
          radius: 1000,
          type: ["gym"]
        },
        function(results, status) {
          if (status === google.maps.places.PlacesServiceStatus.OK) {
            for (var i = 0; i < results.length; i++) {
              array.push(results[i]);
              console.log("reference");
              console.log(results[i]);
              var placeDetail = {
                name: results[i].name,
                vicinity: results[i].vicinity,
                opening_hours: results[i].opening_hours.open_now,
                photos: results[i].photos[0].getUrl({
                  maxWidth: 150,
                  maxHeight: 150
                }),
                rating: results[i].rating
              };
              self.nearby_attractions.push(placeDetail);
            }
          }
        }
      );
      service.nearbySearch(
        {
          location: pyrmont,
          radius: 1000,
          type: ["store"]
        },
        function(results, status) {
          if (status === google.maps.places.PlacesServiceStatus.OK) {
            for (var i = 0; i < results.length; i++) {
              array.push(results[i]);
              console.log("reference");
              console.log(results[i]);
              var placeDetail = {
                name: results[i].name,
                vicinity: results[i].vicinity,
                opening_hours: results[i].opening_hours.open_now,
                photos: results[i].photos[0].getUrl({
                  maxWidth: 150,
                  maxHeight: 150
                }),
                rating: results[i].rating
              };
              self.nearby_attractions.push(placeDetail);
            }
          }
        }
      );
    }
  }
};
</script>
<style scoped>
.weather-section {
  margin: auto;
  width: 40%;
}
.tag {
  margin-top: 2%;
}
/* Always set the map height explicitly to define the size of the div
          * element that contains the map. */
#map {
  height: 100%;
}
</style>


